Subject: Re: patch - strange behaviour
From: [email-masked] (Pete Jordan)

8 Aug 1997 06:26:34 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-To: [email-masked]
In-Reply-To: <v02130500b00fc1f21707@[193.83.160.71]>
X-Mail-Software: Ameol2
X-URL: http://www.horus.cix.co.uk/
Original-Sender: [email-masked]

[email-masked] (Wolfgang Bachmann) wrote:

> patch aborts a after some patches, typically a few files, with the
> message "Assertion hunk failed ..." (don't remember exact wording).
>
> If I split the patch file into seven parts, I can apply the separate
> patch files without problems. I can live with that, but it's
> inconvenient.
>
> Has anyone got an idea what's going on?

Yep. The patch (2.1) that comes with GNU-Win32 b18 is broken - I got
exactly the same problem with Chris faylor's Perl patches.

Grab and build patch 2.4 from your friendly local GNU archive.

Apropos nothing, from the patch ChangeLog:

> Thu Jun 10 21:13:47 1993  Paul Eggert  ([email-masked])
>
>     * patchlevel.h: PATCH_VERSION 2.1.
>     (The name `patch-2.0.12g12' is too long for traditional Unix.)

Well, it's as good a reason to bump up from 2.0.x to 2.1 as any, I
suppose...

Pete Jordan
= = = = = = = = = = = = = = = = = = = = = = =
Horus Communications
http://www.horus.cix.co.uk/
= = = = = = = = = = = = = = = = = = = = = = =
"'Not twisted,' Salzy once said of her own
passion, 'it is helical. That sounds better.'"
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".